Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.core.provider.jaxb
Class AbstractRootElementProvider

    java.lang.Object
      com.sun.jersey.core.provider.AbstractMessageReaderWriterProvider<T>
          com.sun.jersey.core.provider.jaxb.AbstractJAXBProvider<java.lang.Object>
              com.sun.jersey.core.provider.jaxb.AbstractRootElementProvider

All Implemented Interfaces:
  javax.ws.rs.ext.MessageBodyReader<java.lang.Object>, javax.ws.rs.ext.MessageBodyWriter<java.lang.Object>

    public abstract class AbstractRootElementProvider

extends AbstractJAXBProvider<java.lang.Object>

Author:
  Paul.Sandoz@Sun.Com

Field Summary

Fields inherited from class com.sun.jersey.core.provider.AbstractMessageReaderWriterProvider
`UTF8`

Constructor Summary
`AbstractRootElementProvider(javax.ws.rs.ext.Providers ps)`
`AbstractRootElementProvider(javax.ws.rs.ext.Providers ps, javax.ws.rs.core.MediaType mt)`

Method Summary
`boolean` | `isReadable(java.lang.Class<?> type, java.lang.reflect.Type genericType, java.lang.annotation.Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)`
`boolean` | `isWriteable(java.lang.Class<?> type, java.lang.reflect.Type genericType, java.lang.annotation.Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)`
`protected abstract java.lang.Object` | `readFrom(java.lang.Class<java.lang.Object> type, javax.ws.rs.core.MediaType mediaType, javax.xml.bind.Unmarshaller m, java.io.InputStream entityStream)`
`java.lang.Object` | `readFrom(java.lang.Class<java.lang.Object> type, java.lang.reflect.Type genericType, java.lang.annotation.Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<java.lang.String,java.lang.String> httpHeaders, java.io.InputStream entityStream)`
`void` | `writeTo(java.lang.Object t, java.lang.Class<?> type, java.lang.reflect.Type genericType, java.lang.annotation.Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<java.lang.String,java.lang.Object> httpHeaders, java.io.OutputStream entityStream)`
`protected abstract void` | `writeTo(java.lang.Object t, javax.ws.rs.core.MediaType mediaType, java.nio.charset.Charset c, javax.xml.bind.Marshaller m, java.io.OutputStream entityStream)`

Methods inherited from class com.sun.jersey.core.provider.jaxb.AbstractJAXBProvider
`getMarshaller, getMarshaller, getStoredJAXBContext, getUnmarshaller, getUnmarshaller, isSupported`

Methods inherited from class com.sun.jersey.core.provider.AbstractMessageReaderWriterProvider
`getCharset, getSize, readFromAsString, writeTo, writeTo, writeToAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractRootElementProvider

    public AbstractRootElementProvider(javax.ws.rs.ext.Providers ps)

### AbstractRootElementProvider

    public AbstractRootElementProvider(javax.ws.rs.ext.Providers ps,
                                       javax.ws.rs.core.MediaType mt)

Method Detail

### isReadable

    public boolean isReadable(java.lang.Class<?> type,
                              java.lang.reflect.Type genericType,
                              java.lang.annotation.Annotation[] annotations,
                              javax.ws.rs.core.MediaType mediaType)

### isWriteable

    public boolean isWriteable(java.lang.Class<?> type,
                               java.lang.reflect.Type genericType,
                               java.lang.annotation.Annotation[] annotations,
                               javax.ws.rs.core.MediaType mediaType)

### readFrom

    public final java.lang.Object readFrom(java.lang.Class<java.lang.Object> type,
                                           java.lang.reflect.Type genericType,
                                           java.lang.annotation.Annotation[] annotations,
                                           javax.ws.rs.core.MediaType mediaType,
                                           javax.ws.rs.core.MultivaluedMap<java.lang.String,java.lang.String> httpHeaders,
                                           java.io.InputStream entityStream)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### readFrom

    protected abstract java.lang.Object readFrom(java.lang.Class<java.lang.Object> type,
                                                 javax.ws.rs.core.MediaType mediaType,
                                                 javax.xml.bind.Unmarshaller m,
                                                 java.io.InputStream entityStream)
                                          throws javax.xml.bind.JAXBException,
                                                 java.io.IOException

  Throws:
    `javax.xml.bind.JAXBException`
    `java.io.IOException`

### writeTo

    public final void writeTo(java.lang.Object t,
                              java.lang.Class<?> type,
                              java.lang.reflect.Type genericType,
                              java.lang.annotation.Annotation[] annotations,
                              javax.ws.rs.core.MediaType mediaType,
                              javax.ws.rs.core.MultivaluedMap<java.lang.String,java.lang.Object> httpHeaders,
                              java.io.OutputStream entityStream)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeTo

    protected abstract void writeTo(java.lang.Object t,
                                    javax.ws.rs.core.MediaType mediaType,
                                    java.nio.charset.Charset c,
                                    javax.xml.bind.Marshaller m,
                                    java.io.OutputStream entityStream)
                             throws javax.xml.bind.JAXBException,
                                    java.io.IOException

  Throws:
    `javax.xml.bind.JAXBException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.